PyTorch for Jetson - version 1.9.0 now available

@dusty_nv

I am having this same problem (gcc segfault on pybind_state.cc) when trying to build with python-3.6 from source.
pytorch 1.8.1 and 1.9.0 show the same failure.

Not sure where to go from here, but can’t get pytorch to build on a jetson.

I’ve gotten past the pybind_state.cc segfault (and a second later one) with the following patch:

pytorch.1.9.0-jetpack-4.6.0.second.patch (1.3 KB)

The patch just lowers a few files from -O3 to -O1 optimization. Hopefully the performance impact is negligible.

Environment (some packages pulled from focal) is now:
CMake version : 3.10.2
C++ compiler version : 7.5.0
TORCH_VERSION : 1.9.0
Python version : 3.8.10

Although it will likely work with the vanilla JetPack install.

Hi @dusty_nv
I need to download whl file of torch and the download is very much slow…i have checked my internet speed but nothing helped… Kindly resolve this issue asap please…